Subject: [PATCH v3 0/2] KVM: ARM: Enable vtimers with user space gic

From: [email-masked] (Christoffer Dall)
Date: Fri, 16 Sep 2016 15:30:27 +0200

On Fri, Sep 16, 2016 at 02:31:42PM +0200, Paolo Bonzini wrote:
> 
> 
> On 16/09/2016 14:30, Christoffer Dall wrote:
> > > > > This patch set allows user space to receive vtimer events as well as mask
> > > > > them, so that we can handle all vtimer related interrupt injection from user
> > > > > space, enabling us to use architected timer with user space gic emulation.
> > > >
> > > > I have already voiced my concerns in the past, including face to face,
> > > > and I'm going to repeat it: I not keen at all on adding a new userspace
> > > > interface that is going to bitrot extremely quickly.
> > > 
> > > You don't have automated tests set up?  It's not going to bitrot if you
> > > test it, either with kvm-unit-tests or just by smoke-testing Linux.
> > > It's _for_ the raspi, but it's not limited to it.
> > 
> > Our automated testing situation is not great, no.  Something we're
> > looking at, but have resource problems with.
> 
> But it's not a good reason to hold back a feature...
> 

I didn't say that exactly, but choosing not to merge something we cannot
maintain and which we're not paid to look after and where there's a
minimal interest, is not entirely unreasonable.

That being said, I'm not categorically against these patches, but I
share Marc's view that we've already seen that non-vgic support had been
broken for multiple versions without anyone complaining, and without
automated testing or substantial interest in the work, the patches
really are likely to bit-rot.

But I haven't even looked at the patches in detail, I was just replying
to the comment about testing.

-Christoffer